public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyrate-limiter/
Date: Mon, 12 Aug 2024 02:50:40 +0000 (UTC)	[thread overview]
Message-ID: <1723431031.86bc95c3a237377b5bcc92c2d71f7d3f52317cb0.mgorny@gentoo> (raw)

commit:     86bc95c3a237377b5bcc92c2d71f7d3f52317cb0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 12 02:26:05 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 12 02:50:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86bc95c3

dev-python/pyrate-limiter: Bump to 3.7.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyrate-limiter/Manifest                 |  1 +
 .../pyrate-limiter/pyrate-limiter-3.7.0.ebuild     | 75 ++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/dev-python/pyrate-limiter/Manifest b/dev-python/pyrate-limiter/Manifest
index 01a84af141bc..d6c6d9676be0 100644
--- a/dev-python/pyrate-limiter/Manifest
+++ b/dev-python/pyrate-limiter/Manifest
@@ -1 +1,2 @@
 DIST pyrate_limiter-3.6.2.tar.gz 280852 BLAKE2B 39b92d5a0486a3b30328d87ea9fe60502c6405761c8d12fa289ca9f8d4583aa12720de3fca7391084edce1ad7b0f000f0c15e488378cd507fb26c54430fe33b4 SHA512 210ac51dc7048f91b2ea2875b40805bb13b1cbcc7b4aa45984430c78ff6c68523b93e8c5915a719fbf20371076ff07fa46c07b1a380988d9748b5d648f08aac5
+DIST pyrate_limiter-3.7.0.tar.gz 281878 BLAKE2B d24a172d8bff6d559ba1adaf5cf9849d61b603bbeb33564d67f3e52182e3952fa8a4a339ae0cdf92c863ba59071084e547b3542a340f224b1f241a05636a3162 SHA512 9b78f343c657c08c6031fc0a36374bef2bcc6808341d804042934b12401bc9362ccd39ff931ee05354733ba1492f35700cc3498ac61d958152324e2f590fb0a9

diff --git a/dev-python/pyrate-limiter/pyrate-limiter-3.7.0.ebuild b/dev-python/pyrate-limiter/pyrate-limiter-3.7.0.ebuild
new file mode 100644
index 000000000000..276657b6cf9d
--- /dev/null
+++ b/dev-python/pyrate-limiter/pyrate-limiter-3.7.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python Rate-Limiter using Leaky-Bucket Algorimth Family"
+HOMEPAGE="
+	https://github.com/vutran1710/PyrateLimiter/
+	https://pypi.org/project/pyrate-limiter/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/filelock[${PYTHON_USEDEP}]
+	dev-python/redis[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	test? (
+		dev-db/redis
+		dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+		dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+		dev-python/pyyaml[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_DESELECT=(
+	# Optional dependency redis-py-cluster not packaged
+	"tests/test_02.py::test_redis_cluster"
+)
+EPYTEST_XDIST=1
+
+distutils_enable_sphinx docs \
+	dev-python/sphinx-autodoc-typehints \
+	dev-python/sphinx-copybutton \
+	dev-python/furo \
+	dev-python/myst-parser \
+	dev-python/sphinxcontrib-apidoc
+distutils_enable_tests pytest
+
+src_test() {
+	local redis_pid="${T}"/redis.pid
+	local redis_port=6379
+
+	# Spawn Redis itself for testing purposes
+	einfo "Spawning Redis"
+	einfo "NOTE: Port ${redis_port} must be free"
+	"${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+		daemonize yes
+		pidfile ${redis_pid}
+		port ${redis_port}
+		bind 127.0.0.1 ::1
+		${extra_conf}
+	EOF
+
+	# Run the tests
+	distutils-r1_src_test
+
+	# Clean up afterwards
+	kill "$(<"${redis_pid}")" || die
+}
+
+python_test() {
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	# postgres tests require psycopg-pool
+	epytest -p asyncio -p rerunfailures --reruns=5 -k "not postgres"
+}


             reply	other threads:[~2024-08-12  2:50 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-12  2:50 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-02 15:20 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyrate-limiter/ Nowa Ammerlaan
2024-08-12  2:50 Michał Górny
2024-08-11  2:58 Michał Górny
2024-08-11  2:58 Michał Górny
2024-05-01  4:34 Michał Górny
2024-05-01  4:34 Michał Górny
2024-03-18  4:58 Michał Górny
2024-03-12  5:13 Michał Górny
2024-03-11  4:10 Michał Górny
2024-03-09 16:55 Andrew Ammerlaan
2024-02-22 15:27 Michał Górny
2024-02-22 15:27 Michał Górny
2024-02-14  7:26 Michał Górny
2024-01-10 21:12 Michał Górny
2024-01-03  9:01 Michał Górny
2023-12-30 18:32 Michał Górny
2023-12-19  6:14 Michał Górny
2023-12-19  6:11 Michał Górny
2023-12-19  5:23 Sam James
2023-11-07  5:29 Michał Górny
2023-09-14 11:02 Andrew Ammerlaan
2023-08-28 16:53 Michał Górny
2023-08-28  5:13 Michał Górny
2023-05-20  5:58 Arthur Zamarin
2023-02-27  8:56 Andrew Ammerlaan
2023-02-26  7:10 Andrew Ammerlaan
2023-02-10 13:02 Michał Górny
2023-01-28 10:01 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1723431031.86bc95c3a237377b5bcc92c2d71f7d3f52317cb0.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox